org.apache.synapse.transport.passthru.core.ssl

## Class SSLConfiguration

- java.lang.Object
- - org.apache.synapse.transport.passthru.core.ssl.SSLConfiguration

-     public class SSLConfiguration
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLConfiguration(java.lang.String keyStore, java.lang.String trustStore, java.lang.String clientAuthEl, java.lang.String httpsProtocolsEl, java.lang.String revocationVerifier, java.lang.String sslProtocol, java.lang.String preferredCiphersEl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClientAuthEl()`
    `org.apache.axiom.om.OMElement` | `getClientAuthElement()`
    `org.apache.axiom.om.OMElement` | `getHttpsProtocolElement()`
    `java.lang.String` | `getHttpsProtocolsEl()`
    `java.lang.String` | `getKeyStore()`
    `org.apache.axiom.om.OMElement` | `getKeyStoreElement()`
    `java.lang.String` | `getPreferredCiphersEl()`
    `org.apache.axiom.om.OMElement` | `getPreferredCiphersElement()` Return a OMElement of preferred ciphers parameter values.
    `java.lang.String` | `getRevocationVerifier()`
    `org.apache.axiom.om.OMElement` | `getRevocationVerifierElement()`
    `java.lang.String` | `getSslProtocol()`
    `java.lang.String` | `getTrustStore()`
    `org.apache.axiom.om.OMElement` | `getTrustStoreElement()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLConfiguration

          public SSLConfiguration(java.lang.String keyStore,
                                  java.lang.String trustStore,
                                  java.lang.String clientAuthEl,
                                  java.lang.String httpsProtocolsEl,
                                  java.lang.String revocationVerifier,
                                  java.lang.String sslProtocol,
                                  java.lang.String preferredCiphersEl)

  - ### Method Detail

    - #### getKeyStoreElement

          public org.apache.axiom.om.OMElement getKeyStoreElement()

    - #### getClientAuthElement

          public org.apache.axiom.om.OMElement getClientAuthElement()

    - #### getTrustStoreElement

          public org.apache.axiom.om.OMElement getTrustStoreElement()

    - #### getRevocationVerifierElement

          public org.apache.axiom.om.OMElement getRevocationVerifierElement()

    - #### getHttpsProtocolElement

          public org.apache.axiom.om.OMElement getHttpsProtocolElement()

    - #### getPreferredCiphersEl

          public java.lang.String getPreferredCiphersEl()

    - #### getPreferredCiphersElement

          public org.apache.axiom.om.OMElement getPreferredCiphersElement()

      Return a OMElement of preferred ciphers parameter values.
      Returns:
        OMElement

    - #### getSslProtocol

          public java.lang.String getSslProtocol()

    - #### getKeyStore

          public java.lang.String getKeyStore()

    - #### getTrustStore

          public java.lang.String getTrustStore()

    - #### getClientAuthEl

          public java.lang.String getClientAuthEl()

    - #### getHttpsProtocolsEl

          public java.lang.String getHttpsProtocolsEl()

    - #### getRevocationVerifier

          public java.lang.String getRevocationVerifier()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.